Bug 84072 - NPE throws when wsdl validate
NPE throws when wsdl validate
Status: VERIFIED FIXED
Product: xml
Classification: Unclassified
Component: WSDL Tools
5.x
All Windows XP
: P1 (vote)
: TBD
Assigned To: Shivanand Kini
issues@xml
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-01 23:36 UTC by Mikhail Vaysman
Modified: 2006-09-15 22:56 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
WSDL file (2.87 KB, text/xml)
2006-09-01 23:37 UTC, Mikhail Vaysman
Details
NetBeans log file (18.49 KB, text/plain)
2006-09-01 23:38 UTC, Mikhail Vaysman
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mikhail Vaysman 2006-09-01 23:36:31 UTC
Build 200608310000

Open attached file in NB and click on Validate XML button.
Exception details:
java.lang.NullPointerException
	at org.netbeans.modules.xml.wsdl.model.extensions.soap.validation.SOAPComponentValidator.validate(SOAPComponentValidator.java:229)
	at org.netbeans.modules.xml.xam.spi.Validation.validate(Validation.java:78)
	at org.netbeans.modules.websvc.wsdl.validator.ValidationOutputWindowController.validate(ValidationOutputWindowController.java:58)
	at org.netbeans.modules.websvc.wsdl.validator.ValidateXMLCookieImpl.validateXML(ValidateXMLCookieImpl.java:45)
	at org.netbeans.modules.xml.tools.actions.ValidateAction$RunAction.run(ValidateAction.java:95)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:499)
[catch] at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:932)
Comment 1 Mikhail Vaysman 2006-09-01 23:37:40 UTC
Created attachment 33531 [details]
WSDL file
Comment 2 Mikhail Vaysman 2006-09-01 23:38:36 UTC
Created attachment 33532 [details]
NetBeans log file
Comment 3 Petr Jiricka 2006-09-04 08:58:14 UTC
Reassigning to wsdl model.
Comment 4 Shivanand Kini 2006-09-06 20:57:50 UTC
This has been fixed
Comment 5 jlautz 2006-09-15 22:56:37 UTC
Verified on Windows XP with NB Build 060914:

The validating the attached WSDL file now produces errors, but no
NullPointerException.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo